Bug 113880 - Fixing various accessibility issues in .ui files
Summary: Fixing various accessibility issues in .ui files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.0.0 target:6.1.0 target:6.0....
Keywords: accessibility
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2017-11-16 15:02 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-01-10 11:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-11-16 15:02:21 UTC
So i'm currently going through various .ui files and am noticing various accessibility issues, so i'll be using this bug report as a recording of my findings and their patches.
Comment 1 Yousuf Philips (jay) (retired) 2017-11-16 15:37:34 UTC
Alex, Stuart: hope you guys can test out the issues and patches. :D

Paragraph dialog > Outline & Numbering tab > Numbering Style:
* label not linked with drop-down list
* https://gerrit.libreoffice.org/44833
Comment 2 Yousuf Philips (jay) (retired) 2017-11-17 06:12:22 UTC
Paragraph dialog > Area tab > Gradient
* linked labels with following control when possible
* added tooltips to spinboxes where label wasnt suitable/possible to link
* https://gerrit.libreoffice.org/44857
Comment 3 Commit Notification 2017-11-17 12:35:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3c981015da76dbda8626993da30c467a3e1c799

tdf#113880 a11y: Link 'Numbering style:' label to drop-down list

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2017-11-17 21:16:57 UTC
Paragraph dialog > Area tab > Bitmap
* linked labels with corresponding control when possible
* expanded abbreviated labels that wont be understandable for a11y
* https://gerrit.libreoffice.org/44897
Comment 5 Commit Notification 2017-11-20 17:38:42 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8687041c46b3fe93a76faa0a4a65e7069ef5e9d

tdf#113880 a11y: make bitmap tab of area tab accessible

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2017-11-20 22:22:23 UTC
Table Properties dialog > Background tab > As: & For:
* labels not linked with drop-down lists
* https://gerrit.libreoffice.org/45011
Comment 7 Commit Notification 2017-11-21 12:47:20 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b67ffbda5602b9ffa7964a7ecb5dcd1fc8b998fa

tdf#113880 a11y: make gradient tab of area tab accessible

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-11-22 11:06:25 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b7490fe49bb93f895e974602a2616fa80b74019

tdf#113880 a11y: improve accessibility of table background tab

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Yousuf Philips (jay) (retired) 2017-11-23 03:40:09 UTC
Image / Frame / OLE dialog
* labels and checkboxes not linked with drop-down lists or textboxes
* https://gerrit.libreoffice.org/45121
Comment 10 Commit Notification 2017-11-30 12:42:45 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cbc671d17a86195ebeea831a91b8401c0daa04d0

tdf#113880 Fix a11y issues in tabs of the image properties dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-11-30 12:42:58 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f259310a8b9508104e6a0c801bb5b71d38ca4551&h=libreoffice-6-0

tdf#113880 Fix a11y issues in tabs of the image properties dialog

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Yousuf Philips (jay) (retired) 2018-01-03 14:55:16 UTC
Slide Transition Deck
* link labels in 'modify transition' frame with corresponding controls
* https://gerrit.libreoffice.org/47320

I wont be submitting any additional fixes so closing this bug.
Comment 13 Commit Notification 2018-01-07 21:34:52 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e5070b97fc0e2314af235809d2ebe37075ef188

tdf#113880 improve slide transition sidebar deck

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-01-10 11:42:27 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20b6a86414cd6888185d95cd480fc95f8fc0e6b0&h=libreoffice-6-0

tdf#113880 improve slide transition sidebar deck

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.